V3.0
APIs by Provider
>
Synergy
>
Retrieval
>
API Reference
>
V3.0
openapi: 3.0.1
x-jh:
publishing:
type: Integration
stage: prod
isPublic: true
group: Synergy
name: Document Retrieval
docURL: https://jkhy.github.io/synergyintegration
info:
title: SynergyECM Retrieval
description: APIs for Query and Retrieval
contact:
email: SynergyOpenAPI@jackhenry.com
version: v3
security:
- BearerAuth: []
servers:
- url: 'http:/jx-r.jhacorp.com/api'
description: Corporate Test Server
paths:
'/v2/{InstitutionUniversalId}/{ProductId}/retrieval/api-versions':
get:
tags:
- ApiVersions
summary: The API Version supported by this instance.
operationId: RetrievalApiVersionsGet
parameters:
- name: InstitutionUniversalId
in: path
required: true
schema:
type: string
- name: ProductId
in: path
required: true
schema:
type: string
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
responses:
'200':
description: Success
content:
text/plain:
schema:
$ref: '#/components/schemas/ApiVersionsResponseBody'
application/json:
schema:
$ref: '#/components/schemas/ApiVersionsResponseBody'
text/json:
schema:
$ref: '#/components/schemas/ApiVersionsResponseBody'
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'404':
description: "Not Found<hr>\r\nThe server can not find the requested resource. In an API, this can also mean that the endpoint\r\nis valid but the resource itself does not exist. Servers may also send this response instead of\r\n403 to hide the existence of a resource from an unauthorized client.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'/v2/{InstitutionUniversalId}/{ProductId}/retrieval/v3/items/{uniqueItemId}':
get:
tags:
- Items
summary: 'Retrieves metadata, index mappings, and file information for a given Synergy document or report.'
operationId: ItemsGetInfo
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: uniqueItemId
in: path
description: A Synergy unique item Id assigned to an existing document.
required: true
schema:
type: string
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
responses:
'200':
description: Success
content:
application/json:
schema:
$ref: '#/components/schemas/ItemInfo'
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: 'Not Found: The unique item id is invalid.'
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'/v2/{InstitutionUniversalId}/{ProductId}/retrieval/v3/items/{uniqueItemId}/pages':
get:
tags:
- Items
summary: Retrieves an entire document or report as a single file (typically PDF).
description: "## Export Format\r\nThere are only two valid export formats for this API.\r\nIf the optional `exportFormat` parameter is used, note the following transform restrictions \r\nwhen exporting the given Synergy item types (default export format is PDF):\r\n| Export Format | Document (image or text) | Plain Text Report | Other Report Formats |\r\n| ------------- | ------------------------ | ----------------- | -------------------- |\r\n| `PDF` | YES | YES | YES |\r\n| `TEXT` | x | YES | x |\r\n\r\n## Retrieving Data\r\nThe maximum amount of file data returned in the response body is a configured limit.\r\nIf a file's size exceeds that limit, a `206 Partial Content` status code is returned\r\nalong with a `Content-Range` header, an `ETag` header, and the partial file data in\r\nthe response body. The remainder of the file has to be downloaded in subsequent ranges.\r\n\r\nSynergy requires that the `Range` header for a file download, always be accompanied\r\nby an `If-Range` header containing the `ETag` value from a previous request for this\r\nresource. This is to ensure that any intermediate data generated for the resource,\r\nis reused on subsequent requests for the same resource.\r\n \r\n### Pseudo code example of an initial file request:\r\n response = request.get('items/{itemId}/pages')\r\n if (response.status == 200 or response.status == 206) {\r\n // 200 OK indicates complete file is in the response body.\r\n output.write(response.body)\r\n }\r\n \r\n### Pseudocode example for retrieving the remainder of a file:\r\n if (response.status == 206) {\r\n while (response.headers[Content-Range].To < response.headers[Content-Range].Size - 1) {\r\n request.headers[Range].From = response.headers[Content-Range].To + 1\r\n request.headers[If-Range] = response.headers[ETag] // REQUIRED\r\n response = request.get(\"items/{itemId}/pages\")\r\n }\r\n }\r\n\r\nIf it is necessary to retrieve the first chunk of the file with a `Range` header,\r\nthe http `HEAD` method has to be used in an initial call to retrieve the `ETag`\r\nheader, which is needed for subsequent range requests."
operationId: ItemsGetAllPages
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: uniqueItemId
in: path
description: A Synergy unique item Id assigned to an existing document.
required: true
schema:
type: string
- name: exportFormat
in: query
description: The desired format of the returned file.
schema:
$ref: '#/components/schemas/ExportFormat'
- name: renderOptions
in: query
description: "The desired format of the returned file.\r\nNote that for multi-page requests, only `PDF` and `TIFF` are valid.\r\nFor single page requests,'PNG and 'JPEG' are also allowed."
schema:
type: array
items:
$ref: '#/components/schemas/RenderOptions'
- name: Range
in: header
description: "Optional Range header for retrieving the file in parts. For this API, the Range header *must always\r\nbe accompanied by an If-Range header* that contains an ETag acquired in a previous call to this API.\r\nThat call may have resulted in a `206 Partial Response`, or may have been an initial HTTP HEAD request\r\nfor this resource.\r\n\r\nExample, retrieve first KiB: `bytes=0-1023`"
schema:
type: string
- name: If-Range
in: header
description: "When an ETag header is returned in a previous call to this API which resulted in a `206 Partial Response`,\r\nor from a prior HTTP HEAD request for this given resource, that ETag must be sent in the\r\nIf-Range header when retrieving subsequent ranges of the given resource.\r\nNote that the ETag returned from this API is short-lived."
schema:
type: string
example: ''
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
responses:
'200':
description: Success
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: 'Not Found: The unique item id is invalid.'
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'206':
description: 'Partial Response: Part of the requested file has been returned, and the Content-Range header describes which part.'
'412':
description: 'Precondition Failed: The ETag sent in the If-Range header was invalid or expired.'
'428':
description: 'Precondition Required: A Range header was sent, but the If-Range header was missing or invalid.'
head:
tags:
- Items
summary: Retrieves headers for a given resource. Call this first when planning to use Range/If-Range requests.
description: "### Returns the following critical headers:\r\n- Content-Length: <*resource length*>\r\n- Accept-Ranges: `byte`\r\n- Etag: \"<*entity tag used in subsequent range requests*>\""
operationId: ItemsGetAllPagesHeaders
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: uniqueItemId
in: path
description: A Synergy unique item Id assigned to an existing document.
required: true
schema:
type: string
- name: exportFormat
in: query
description: The desired format of the returned file.
schema:
$ref: '#/components/schemas/ExportFormat'
- name: renderOptions
in: query
description: "The desired format of the returned file.\r\nNote that for multi-page requests, only `PDF` and `TIFF` are valid.\r\nFor single page requests,'PNG and 'JPEG' are also allowed."
schema:
type: array
items:
$ref: '#/components/schemas/RenderOptions'
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
responses:
'200':
description: Success
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: 'Not Found: The unique item id is invalid.'
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'/v2/{InstitutionUniversalId}/{ProductId}/retrieval/v3/items/{uniqueItemId}/files/{fileNumber}':
get:
tags:
- Items
summary: Retrieves a native document file from a given Synergy document. Not supported for the `Report` module.
description: "The maximum amount of file data returned in the response body is a configured limit.\r\nIf a file's size exceeds that limit, a `206 Partial Content` status code is returned\r\nalong with a `Content-Range` header, an `ETag` header, and the partial file data in\r\nthe response body. The remainder of the file has to be downloaded in subsequent ranges.\r\n\r\n### Pseudo code example of an initial file request:\r\n response = request.get('items/{itemId}/pages')\r\n if (response.status == 200 or response.status == 206) {\r\n // 200 OK indicates complete file is in the response body.\r\n output.write(response.body)\r\n }\r\n\r\n### Pseudocode example for retrieving the remainder of a file:\r\n if (response.status == 206) {\r\n while (response.headers[Content-Range].To < response.headers[Content-Range].Size - 1) {\r\n request.headers[Range].From = response.headers[Content-Range].To + 1\r\n request.headers[If-Range] = response.headers[ETag] // REQUIRED\r\n response = request.get(\"items/{itemId}/files/{fileNumber}\")\r\n }\r\n }\r\n\r\nSynergy requires that the `Range` header for a file download, always be accompanied\r\nby an `If-Range` header containing the `ETag` value from a previous request for this\r\nresource. This is to ensure that any intermediate data generated for the resource,\r\nis reused on subsequent requests for the same resource.\r\n\r\nIf it is necessary to retrieve the first chunk of the file with a `Range` header,\r\nthe http `HEAD` method has to be used in an initial call to retrieve the `ETag`\r\nheader, which is needed for subsequent range requests."
operationId: ItemsGetFile
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: uniqueItemId
in: path
description: A Synergy unique item Id assigned to an existing document.
required: true
schema:
type: string
- name: fileNumber
in: path
description: The file sequence number within a compound Synergy document.
required: true
schema:
type: integer
format: int32
example: ''
- name: Range
in: header
description: "Optional Range header for retrieving the file in parts. For this API, the Range header *must always\r\nbe accompanied by an If-Range header* that contains an ETag acquired in a previous call to this API.\r\nThat call may have resulted in a `206 Partial Response`, or may have been an initial HTTP HEAD request\r\nfor this resource.\r\n\r\nExample, retrieve first KiB: `bytes=0-1023`"
schema:
type: string
- name: If-Range
in: header
description: "When an ETag header is returned in a previous call to this API which resulted in a `206 Partial Response`,\r\nor from a prior HTTP HEAD request for this given resource, that ETag must be sent in the\r\nIf-Range header when retrieving subsequent ranges of the given resource.\r\nNote that the ETag returned from this API is short-lived."
schema:
type: string
example: ''
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
responses:
'200':
description: Success
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: 'Not Found: The unique item id is invalid.'
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'206':
description: 'Partial Response: Part of the requested file has been returned, and the Content-Range header describes which part.'
'412':
description: 'Precondition Failed: The ETag sent in the If-Range header was invalid or expired.'
'428':
description: 'Precondition Required: A Range header was sent, but the If-Range header was missing or invalid.'
head:
tags:
- Items
summary: Retrieves headers for a given resource. Call this first when planning to use Range/If-Range requests.
description: "### Returns the following critical headers:\r\n- Content-Length: <*resource length*>\r\n- Accept-Ranges: `byte`\r\n- Etag: \"<*entity tag used in subsequent range requests*>\""
operationId: ItemsGetFileHeaders
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: uniqueItemId
in: path
description: A Synergy unique item Id assigned to an existing document.
required: true
schema:
type: string
- name: fileNumber
in: path
description: The file sequence number within a compound Synergy document.
required: true
schema:
type: integer
format: int32
example: ''
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
responses:
'200':
description: Success
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: 'Not Found: The unique item id is invalid.'
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'/v2/{InstitutionUniversalId}/{ProductId}/retrieval/v3/items/{uniqueItemId}/pages/{pageNumber}':
get:
tags:
- Items
summary: Retrieves a page or page-range from a given Synergy document.
description: "## Export Format\r\nIf the optional `exportFormat` parameter is used, note the following transform restrictions \r\nwhen exporting the given Synergy item types (default export format is PDF):\r\n| Export Format | Document (image or text) | Plain Text Report | Other Report Formats | Page Range Support |\r\n| ------------- | ------------------------ | ----------------- | -------------------- | ------------------ |\r\n| `PDF` | YES | YES | YES | YES |\r\n| `TIFF` | YES | x | x | YES |\r\n| `JPEG` | YES | x | x | x |\r\n| `PNG` | YES | x | x | x |\r\n| `TEXT` | x | YES | x | YES |\r\n\r\n## Retrieving Data\r\nThe maximum amount of file data returned in the response body is a configured limit.\r\nIf a file's size exceeds that limit, a `206 Partial Content` status code is returned\r\nalong with a `Content-Range` header, an `ETag` header, and the partial file data in\r\nthe response body. The remainder of the file has to be downloaded in subsequent ranges.\r\n\r\n### Pseudo code example of an initial file request:\r\n response = request.get('items/{itemId}/pages')\r\n if (response.status == 200 or response.status == 206) {\r\n // 200 OK indicates complete file is in the response body.\r\n output.write(response.body)\r\n }\r\n \r\n### Pseudocode example for retrieving the remainder of a file:\r\n if (response.status == 206) {\r\n while (response.headers[Content-Range].To < response.headers[Content-Range].Size - 1) {\r\n request.headers[Range].From = response.headers[Content-Range].To + 1\r\n request.headers[If-Range] = response.headers[ETag] // REQUIRED\r\n response = request.get(\"items/{itemId}/pages/{pageNumber}\")\r\n }\r\n }\r\n\r\nSynergy requires that the `Range` header for a file download, always be accompanied\r\nby an `If-Range` header containing the `ETag` value from a previous request for this\r\nresource. This is to ensure that any intermediate data generated for the resource,\r\nis reused on subsequent requests for the same resource.\r\n\r\nIf it is necessary to retrieve the first chunk of the file with a `Range` header,\r\nthe http `HEAD` method has to be used in an initial call to retrieve the `ETag`\r\nheader, which is needed for subsequent range requests."
operationId: ItemsGetPages
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: uniqueItemId
in: path
description: A Synergy unique item Id assigned to an existing document.
required: true
schema:
type: string
- name: pageNumber
in: path
description: The page to retrieve.
required: true
schema:
type: integer
format: int32
- name: pageCount
in: query
description: 'If specified, multiple pages can be returned in a single file.'
schema:
type: integer
format: int32
default: 0
- name: exportFormat
in: query
description: The desired format of the returned file.
schema:
$ref: '#/components/schemas/ExportFormat'
- name: renderOptions
in: query
description: "The desired format of the returned file.\r\nNote that for multi-page requests, only `PDF` and `TIFF` are valid.\r\nFor single page requests,'PNG and 'JPEG' are also allowed."
schema:
type: array
items:
$ref: '#/components/schemas/RenderOptions'
- name: Range
in: header
description: "Optional Range header for retrieving the file in parts. For this API, the Range header *must always\r\nbe accompanied by an If-Range header* that contains an ETag acquired in a previous call to this API.\r\nThat call may have resulted in a `206 Partial Response`, or may have been an initial HTTP HEAD request\r\nfor this resource.\r\n\r\nExample, retrieve first KiB: `bytes=0-1023`"
schema:
type: string
- name: If-Range
in: header
description: "When an ETag header is returned in a previous call to this API which resulted in a `206 Partial Response`,\r\nor from a prior HTTP HEAD request for this given resource, that ETag must be sent in the\r\nIf-Range header when retrieving subsequent ranges of the given resource.\r\nNote that the ETag returned from this API is short-lived."
schema:
type: string
example: ''
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
responses:
'200':
description: Success
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: 'Not Found: The unique item id is invalid.'
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'206':
description: 'Partial Response: Part of the requested file has been returned, and the Content-Range header describes which part.'
'412':
description: 'Precondition Failed: The ETag sent in the If-Range header was invalid or expired.'
'428':
description: 'Precondition Required: A Range header was sent, but the If-Range header was missing or invalid.'
head:
tags:
- Items
summary: Retrieves headers for a given resource. Call this first when planning to use Range/If-Range requests.
description: "### Returns the following critical headers:\r\n- Content-Length: <*resource length*>\r\n- Accept-Ranges: `byte`\r\n- Etag: \"<*entity tag used in subsequent range requests*>\""
operationId: ItemsGetPagesHeaders
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: uniqueItemId
in: path
description: A Synergy unique item Id assigned to an existing document.
required: true
schema:
type: string
- name: pageNumber
in: path
description: The page to retrieve.
required: true
schema:
type: integer
format: int32
- name: pageCount
in: query
description: 'If specified, multiple pages can be returned in a single file.'
schema:
type: integer
format: int32
default: 0
- name: exportFormat
in: query
description: The desired format of the returned file.
schema:
$ref: '#/components/schemas/ExportFormat'
- name: renderOptions
in: query
description: "The desired format of the returned file.\r\nNote that for multi-page requests, only `PDF` and `TIFF` are valid.\r\nFor single page requests,'PNG and 'JPEG' are also allowed."
schema:
type: array
items:
$ref: '#/components/schemas/RenderOptions'
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
responses:
'200':
description: Success
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: 'Not Found: The unique item id is invalid.'
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'/v2/{InstitutionUniversalId}/{ProductId}/retrieval/v3/items/{uniqueItemId}/crop-zone':
get:
tags:
- Items
summary: 'Returns just the defined crop zone of a document, if one is defined. Otherwise the response will be 404 NotFound.'
operationId: ItemsGetCropZone
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: uniqueItemId
in: path
description: A Synergy unique item Id assigned to an existing document.
required: true
schema:
type: string
- name: exportFormat
in: query
description: The desired format of the returned file.
schema:
$ref: '#/components/schemas/ExportFormat'
- name: renderOptions
in: query
description: "The desired format of the returned file.\r\nNote that for multi-page requests, only `PDF` and `TIFF` are valid.\r\nFor single page requests,'PNG and 'JPEG' are also allowed."
schema:
type: array
items:
$ref: '#/components/schemas/RenderOptions'
- name: Range
in: header
description: "Optional Range header for retrieving the file in parts. For this API, the Range header *must always\r\nbe accompanied by an If-Range header* that contains an ETag acquired in a previous call to this API.\r\nThat call may have resulted in a `206 Partial Response`, or may have been an initial HTTP HEAD request\r\nfor this resource.\r\n\r\nExample, retrieve first KiB: `bytes=0-1023`"
schema:
type: string
- name: If-Range
in: header
description: "When an ETag header is returned in a previous call to this API which resulted in a `206 Partial Response`,\r\nor from a prior HTTP HEAD request for this given resource, that ETag must be sent in the\r\nIf-Range header when retrieving subsequent ranges of the given resource.\r\nNote that the ETag returned from this API is short-lived."
schema:
type: string
example: ''
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
responses:
'200':
description: Success
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: 'Not Found: The unique item id is invalid.'
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'206':
description: 'Partial Response: Part of the requested file has been returned, and the Content-Range header describes which part.'
'412':
description: 'Precondition Failed: The ETag sent in the If-Range header was invalid or expired.'
'428':
description: 'Precondition Required: A Range header was sent, but the If-Range header was missing or invalid.'
head:
tags:
- Items
summary: Retrieves headers for a given resource. Call this first when planning to use Range/If-Range requests.
description: "### Returns the following critical headers:\r\n- Content-Length: <*resource length*>\r\n- Accept-Ranges: `byte`\r\n- Etag: \"<*entity tag used in subsequent range requests*>\""
operationId: ItemsGetCropZoneHeaders
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: uniqueItemId
in: path
description: A Synergy unique item Id assigned to an existing document.
required: true
schema:
type: string
- name: exportFormat
in: query
description: The desired format of the returned file.
schema:
$ref: '#/components/schemas/ExportFormat'
- name: renderOptions
in: query
description: "The desired format of the returned file.\r\nNote that for multi-page requests, only `PDF` and `TIFF` are valid.\r\nFor single page requests,'PNG and 'JPEG' are also allowed."
schema:
type: array
items:
$ref: '#/components/schemas/RenderOptions'
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
responses:
'200':
description: Success
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: 'Not Found: The unique item id is invalid.'
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'/v2/{InstitutionUniversalId}/{ProductId}/retrieval/v3/items-search':
post:
tags:
- ItemsSearch
summary: Search for documents and/or reports.
description: "This operation can use a *Predefined Search* which is a previously configured\r\nsearch template in Synergy, or it can be an *Open Search* where all criteria\r\nis provided in this call. Populating the `PredefinedSearchName` property will\r\ntrigger the former behavior.\r\n\r\nFor small searches, it is possible to acquire results in a single operation, \r\nresulting in a return status of `200 OK`.\r\n\r\nIf the search is taking longer, or producing more results than the pre-configured\r\nlimits for a synchronous search, the server will create an asynchronous search operation,\r\nresulting in a return status of `201 Created`. \r\n\r\nIn the latter case, a `SearchId` will be returned in lieu of results, \r\nand that id must be used in later calls to retrieve the results after the search has completed.\r\n\r\n### Pseudo code example of executing a predefined search:\r\n search = {\r\n \"PredefinedSearchName\": \"API Demo Invoice Search\",\r\n \"SortIndexName\": \"INVOICE NUMBER\",\r\n \"SearchClauses\": [\r\n { \"IndexName\": \"INVOICE NUMBER\", \"Operator\": \"eq\", \"IndexValue\": \"1234567\" }\r\n ]\r\n }\r\n \r\n response = request.post(\"items-search\", search)\r\n if (response.status == 200) {\r\n results = response.json.Results // complete item properties array\r\n }\r\n else if (response.status == 201) {\r\n // poll on asynchronous search status\r\n while (not response.json.IsSearchComplete) {\r\n delay()\r\n response = request.get(\"items-search/{response.json.SearchId}\")\r\n }\r\n total = response.json.TotalResultCount\r\n // fetch results from completed search\r\n offset = 0\r\n while (offset < total) {\r\n response = request.get(\"items-search/{response.json.SearchId}/results?offset={offset}\")\r\n results += response.json.Results // item properties array\r\n offset += response.json.Paging.Results // block count\r\n }\r\n }"
operationId: ItemsSearchStartSearch
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: offset
in: query
description: ''
schema:
type: integer
format: int32
- name: count
in: query
description: ''
schema:
type: integer
format: int32
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
description: "This is the device Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the machine id or address."
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-WorkflowCorrelationId
in: header
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
- name: X-AuthenticationUserCredential
in: header
description: "Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT).\r\n<br>Format is ` <type> <token>`. Type default is jwt.\r\n(Note: *Synergy currently only supports base64 encoded saml*)\r\n<br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>`\r\n<br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>` "
schema:
type: string
requestBody:
content:
application/json:
schema:
$ref: '#/components/schemas/OpenSearchJob'
text/json:
schema:
$ref: '#/components/schemas/OpenSearchJob'
application/*+json:
schema:
$ref: '#/components/schemas/OpenSearchJob'
responses:
'200':
description: 'Success: The search results are returned in the response.'
content:
application/json:
schema:
$ref: '#/components/schemas/ItemSearchResult'
'400':
description: "Bad Request<hr>\r\nThe server could not complete the request due to invalid syntax, parameters, or context.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
X-BusinessCorrelationId:
description: "The correlation identification as related to business functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
X-WorkflowCorrelationId:
description: "The correlation identification as related to workflow functions and activities. \r\nGenerally expected to be a GUID."
schema:
type: string
'401':
description: "Unauthorized<hr>\r\nAlthough the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\".\r\nThat is, the client must authenticate itself to get the requested response."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'403':
description: "Forbidden<hr>\r\nThe client does not have access rights to the content; that is, it is unauthorized, so the server\r\nis refusing to give the requested resource. Unlike 401, the clients identity is known to the server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'404':
description: "Not Found<hr>\r\nThe server can not find the requested resource. In an API, this can also mean that the endpoint\r\nis valid but the resource itself does not exist. Servers may also send this response instead of\r\n403 to hide the existence of a resource from an unauthorized client.'"
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'413':
description: "Request Too Large<hr>\r\nRequest entity is larger than limits defined by server."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'422':
description: "Unprocessed<hr>\r\nThe request was well-formed but was unable to be followed due to semantic errors."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'500':
description: "Generic Internal Error<hr>\r\nThe server has encountered a situation it doesn't know how to handle."
headers:
X-Request-ID:
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
'201':
description: 'Created: The search is running and a search id is returned that can be used in other API calls to retrieve status and results.'
'/v2/{InstitutionUniversalId}/{ProductId}/retrieval/v3/items-search/{searchId}':
get:
tags:
- ItemsSearch
summary: Retrieve status information for a search that was executed asynchronously
operationId: ItemsSearchGetSearchStatus
parameters:
- name: InstitutionUniversalId
in: path
description: "The Institution Universal Identification given to an entity / institution.\r\nThe URL utilizes this Id for routing."
required: true
schema:
type: string
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
example: 5a0eef05-8661-43f1-8dae-10847a25fabf
- name: ProductId
in: path
description: "Product Identifier. This code identifies the Product for which the message is intended.\r\nGenerally, the Product Id will be in the form of Vendor-Product.\r\nHowever, various other Product Ids may exist."
required: true
schema:
type: string
example: jha-synergy
example: jha-synergy
- name: searchId
in: path
description: The search Id returned from a previous call to start a search.
required: true
schema:
type: string
- name: X-Request-ID
in: header
description: "To support communications level correlation due to some responses only having header data, \r\na round-trip identifier (GUID) will be sent on every call from the consumer and returned \r\nby the service provider (or intermediary) regardless of the final disposition of the request/message."
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440001
- name: X-Correlation-ID
in: header
description: Correlation ID for communication-based multi-hop message correlation.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440002
- name: X-AuditUserId
in: header
description: "This is the User Id which the consumer would like written to the audit as performing the requested service.\r\nIt will vary but could be down to the user id. It will not be use to authenticate, only audit information'"
schema:
type: string
- name: X-AuditDeviceId
in: header
[...]
